| Kea 3.0.2-git

client_attribute.h File Reference
`#include <exceptions/exceptions.h>`
`#include <cc/cfg_to_element.h>`
`#include <cc/data.h>`
`#include <cc/simple_parser.h>`
`#include <asiolink/io_address.h>`
`#include <client_dictionary.h>`
`#include <boost/multi_index_container.hpp>`
`#include <boost/multi_index/hashed_index.hpp>`
`#include <boost/multi_index/member.hpp>`
`#include <boost/multi_index/sequenced_index.hpp>`
`#include <boost/noncopyable.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <string>`
`#include <vector>`
Include dependency graph for client_attribute.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::radius::Attribute
| RADIUS attribute base class. More...
class | isc::radius::Attributes
| Collection of attributes. More...
class | isc::radius::AttrInt
| RADIUS attribute holding integers. More...
class | isc::radius::AttrIpAddr
| RADIUS attribute holding IPv4 addresses. More...
class | isc::radius::AttrIpv6Addr
| RADIUS attribute holding IPv6 addresses. More...
class | isc::radius::AttrIpv6Prefix
| RADIUS attribute holding IPv6 prefixes. More...
class | isc::radius::AttrString
| RADIUS attribute derived classes: do not use them directly outside unit tests, instead use Attribute class/static factory methods. More...
class | isc::radius::TypeError
| A standard Data module exception that is thrown if a function is called for an Element that has a wrong type (e.g. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::radius

## Typedefs
typedef boost::shared_ptr< Attribute > | isc::radius::AttributePtr
typedef boost::shared_ptr< Attributes > | isc::radius::AttributesPtr
| Shared pointers to attribute collection.
typedef boost::shared_ptr< const Attribute > | isc::radius::ConstAttributePtr